Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RenameDB Method (String, String, Boolean)
DatabaseEnvironment Class See Also

Rename the underlying file represented by file using the value supplied to newname, incidentally renaming all of the databases it contained.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public void RenameDB(
    	string file,
    	string newname,
    	bool autoCommit
    )

Visual Basic (Declaration)
    Public Sub RenameDB ( _
    	file As String, _
    	newname As String, _
    	autoCommit As Boolean _
    )

Visual C++
    public:
    void RenameDB(
    	String^ file,
    	String^ newname,
    	bool autoCommit
    )

#### Parameters

file
  Type: System..::.String
  The physical file to be renamed.

newname
  Type: System..::.String
  The new name of the database or file.

autoCommit
  Type: System..::.Boolean
  If true, enclose RenameDB within a transaction. If the call succeeds, changes made by the operation will be recoverable. If the call fails, the operation will have made no changes.

# See Also

DatabaseEnvironment Class
RenameDB Overload
BerkeleyDB Namespace